Bug 1024421 - ibus-kkc has problems when capslock is hit after conversion has started
ibus-kkc has problems when capslock is hit after conversion has started
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libkkc (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 11:53 EDT by Mike FABIAN
Modified: 2014-04-14 18:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: libkkc-0.3.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 18:38:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hitting-capslock-causes-problems-in-ibus-kkc-when-conversion-has-started.ogv (159.67 KB, video/ogg)
2013-10-29 11:53 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-10-29 11:53:51 EDT
Created attachment 817127 [details]
hitting-capslock-causes-problems-in-ibus-kkc-when-conversion-has-started.ogv

Fedora 20 Beta TC6, ibus-anthy-1.5.4-1.fc20.x86_64

- Use ibus-kkc to type in gnome-terminal.
- Make sure capslock is off
- type ‘a’
  → one sees ‘あ’ in preëdit.
- Hit the capslock key
  → the ‘あ’ is commited. OK.
- type ‘a’ again
  → again one sees ‘あ’ in preëdit.
- type space to start conversion to kanji
  → one sees ‘亜’ in preëdit (or some other kanji ...)
- Now hit the capslock key again
  The ‘亜’ is *not* committed, it stays white on black
  as if still were in the conversion phase. But
  typing space does not give other candidates, it just
  moves the ‘亜’ (still white on black) to the  right.
  Typing RETURN a few times now moves the ‘亜’ down
  some lines, leaving partial remains in the previous lines.

See attached  video.
Comment 1 Daiki Ueno 2013-12-16 04:19:58 EST
Thanks for the report.  I think similar issue happens when pressing non-printable character key (e.g. Right) in the conversion state.  Pushed a fix at the upstream:
https://gitorious.org/libkkc/libkkc/commit/64678265bf44cf958d4fb32967e9a11d76532008
Comment 2 Fedora Update System 2014-04-01 06:00:57 EDT
libkkc-0.3.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libkkc-0.3.3-1.fc20
Comment 3 Fedora Update System 2014-04-02 05:20:11 EDT
Package libkkc-0.3.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libkkc-0.3.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4659/libkkc-0.3.3-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-04-14 18:38:00 EDT
libkkc-0.3.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.